CustomCorner Extension for GNOME Shell
======================================

This is a GNOME extension which allows the user to set up cutom actions to execute upon moving the mouse into each of the four screen corners. This is inspired by the [HotCornDog extension](https://github.com/euhiemf/Hot-Corn-Dog "euhiemf's HotCornDog Extension"), which appears to no longer be updated. The available actions include: showing the overview, showing the desktop, opening a .desktop application, or running a custom command. These are easily configurable through the standard GNOME extension settings dialog.

__Installation:__ This extension should be installed through the [GNOME extensions website](https://extensions.gnome.org). If you wish to install manually, simply download the above files and place them inside a folder named `customcorner@eccheng.gitlab.com` in `$HOME/.local/share/gnome-shell/extensions/`. Then, press `Alt + F2` to open the runner, and enter `r` to restart the shell. In order to enable/disable the extension and change its settings, you can use a utility such as [gnome-tweak-tool](https://wiki.gnome.org/action/show/Apps/GnomeTweakTool "GNOME Tweak Tool"), or directly edit your [GSettings](https://developer.gnome.org/gio/stable/GSettings.html "GSettings") schemas under `org.gnome.shell` and `org.gnome.shell.extensions.CustomCorner`.

__Uninstallation:__ This can also be done easily through the [GNOME extensions website](https://extensions.gnome.org). For a manual uninstallation, remove the aforementioned `customcorner@eccheng.gitlab.com` directory and restart the shell.

__Compatibility:__ I have tested this extension on GNOME Shell 3.16.4 (Ubuntu), and 3.18.1 (Fedora). The extension will not work with shell versions 3.14 and earlier. In order to use this with versions other than those I have tested, update the `metadata.json` file to include your version. This is explained nicely on the [HotCornDog page](https://github.com/euhiemf/Hot-Corn-Dog "euhiemf's HotCornDog Extension"). If you test this with other shell versions, please notify me by opening an [issue](https://gitlab.com/eccheng/customcorner/issues "Issues Page").

__NOTE:__ Normally, errors encountered while executing custom commands are logged to the file `command_errors.log` inside the installation directory, which is usually `$HOME/.local/share/gnome-shell/extensions/customcorner@eccheng.gitlab.com`. Logging is disabled, however, on shell versions of 3.17 and newer. This is because in my testing, the shell immediately crashes whenever the error stream is redirected to the log file.
